Bug 9165 - makerpms.sh can't create package fo RHEL
makerpms.sh can't create package fo RHEL
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Packaging
3.6.8
All Linux
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 10:53 UTC by mf.flip
Modified: 2012-11-16 14:58 UTC (History)
0 users

See Also:


Attachments
Proposed patch (950 bytes, patch)
2012-09-18 09:15 UTC, Karolin Seeger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mf.flip 2012-09-17 10:53:57 UTC
RHEL]# ./makerpms.sh
Supported RPM version [4.4.2.3]
~/soft/samba/3.6.8/samba-3.6.8/packaging/RHEL ~/soft/samba/3.6.8/samba-3.6.8/packaging/RHEL
~/soft/samba/3.6.8/samba-3.6.8/packaging/RHEL
~/soft/samba/3.6.8/samba-3.6.8/packaging/RHEL ~/soft/samba/3.6.8/samba-3.6.8/packaging/RHEL
Creating samba-3.6.8.tar.bz2 ... Done.
~/soft/samba/3.6.8/samba-3.6.8/packaging/RHEL
setup/
setup/samba.log
setup/winbind.init
setup/smb.init
setup/smbusers
setup/filter-requires-samba.sh
setup/swat
setup/smbprint
setup/swat.desktop
setup/samba.sysconfig
setup/samba.pamd
setup/smb.conf
makerpms.sh: Getting Ready to build release package
error: parse error in expression
error: /usr/src/redhat/SPECS/samba.spec:39: parseExpressionBoolean returns -1
error: Package has no %description: samba
makerpms.sh: Done.
Comment 1 Karolin Seeger 2012-09-18 09:15:35 UTC
Created attachment 7901 [details]
Proposed patch

This patch fixed the build on RHEL6 for me.
Can you test the patch (you need to regenerate the samba.spec file or adopt the samba.spec file manually).
Comment 2 mf.flip 2012-09-18 10:27:19 UTC
> Can you test the patch.

I have solved this problem a little differently :)
lsb_release -sr|cut -d '.' -f 1

Your patch is also correct.

Thank you for answer.
Comment 3 Karolin Seeger 2012-09-21 07:20:44 UTC
Thanks for your feedback!

The patch has been pushed to v3-6-test and will be included in the next bugfix release.
Comment 4 Karolin Seeger 2012-10-10 07:19:09 UTC
Pushed patch to autobuild-v4-0-test.
Comment 5 asac 2012-11-16 14:58:31 UTC
(In reply to comment #1)
> Created attachment 7901 [details]
> Proposed patch
> 
> This patch fixed the build on RHEL6 for me.
> Can you test the patch (you need to regenerate the samba.spec file or adopt the
> samba.spec file manually).

it should be:
%define rhel_ver %(grep "release" /etc/redhat-release | sed "s/^[^0-9]*\\([0-9]*\\).*/\\1/g")

instead of

%define rhel_ver %(grep "release" /etc/redhat-release | sed %"s/^[^0-9]*\\([0-9]*\\).*/\\1/g")